Debian Bug report logs - #553093
FSSTND-dir-in-usr /usr/doc /usr/man

version graph

Package: duma; Maintainer for duma is Julien Danjou <acid@debian.org>; Source for duma is src:duma.

Reported by: Manoj Srivastava <srivasta@debian.org>

Date: Thu, 29 Oct 2009 08:22:03 UTC

Severity: serious

Tags: patch

Found in version duma/2.5.15-1

Fixed in version duma/2.5.15-1.1

Done: Johann Felix Soden <johfel@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Julien Danjou <acid@debian.org>:
Bug#553093; Package duma. (Thu, 29 Oct 2009 08:22:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manoj Srivastava <srivasta@debian.org>:
New Bug report received and forwarded. Copy sent to Julien Danjou <acid@debian.org>. (Thu, 29 Oct 2009 08:22:15 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FSSTND-dir-in-usr /usr/doc /usr/man
Date: Wed, 28 Oct 2009 21:31:57 -0500
Package: duma
Version: 2.5.15-1
Severity: serious
Justification: As of policy version 3.0.0.0, Debian no longer follows the FSSTND.
User: lintian-maint@debian.org
Usertags: FSSTND-dir-in-usr

Instead, the Filesystem Hierarchy Standard (FHS), version 2.3, is used. You can
find it in /usr/share/doc/debian-policy/fhs/ .

Refer to Debian Policy Manual section 9.1.1 (File system Structure) for details.

               manoj


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'oldstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31.4-anzu-2 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages duma depends on:
ii  libc6                         2.10.1-2   GNU C Library: Shared libraries
ii  libgcc1                       1:4.4.2-1  GCC support library
ii  libstdc++6                    4.4.2-1    The GNU Standard C++ Library v3

duma recommends no packages.

duma suggests no packages.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#553093; Package duma. (Thu, 05 Nov 2009 10:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Danjou <acid@debian.org>:
Extra info received and forwarded to list. (Thu, 05 Nov 2009 10:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 553093@bugs.debian.org (full text, mbox):

From: Julien Danjou <acid@debian.org>
To: Manoj Srivastava <srivasta@debian.org>, 553093@bugs.debian.org
Subject: Re: Bug#553093: FSSTND-dir-in-usr /usr/doc /usr/man
Date: Thu, 5 Nov 2009 10:55:38 +0100
[Message part 1 (text/plain, inline)]
At 1256783517 time_t, Manoj Srivastava wrote:
> Package: duma
> Version: 2.5.15-1
> Severity: serious
> Justification: As of policy version 3.0.0.0, Debian no longer follows the FSSTND.
> User: lintian-maint@debian.org
> Usertags: FSSTND-dir-in-usr
> 
> Instead, the Filesystem Hierarchy Standard (FHS), version 2.3, is used. You can
> find it in /usr/share/doc/debian-policy/fhs/ .
> 
> Refer to Debian Policy Manual section 9.1.1 (File system Structure) for details.

I doubt this is a real bug; isn't that triggered because upstream has a
debian/ dir ?
I should remove it I guess.

-- 
Julien Danjou
.''`.  Debian Developer
: :' : http://julien.danjou.info
`. `'  http://people.debian.org/~acid
  `-   9A0D 5FD9 EB42 22F6 8974  C95C A462 B51E C2FE E5CD
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Julien Danjou <acid@debian.org>:
Bug#553093; Package duma. (Fri, 27 Nov 2009 23:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johann Felix Soden <johfel@gmx.de>:
Extra info received and forwarded to list. Copy sent to Julien Danjou <acid@debian.org>. (Fri, 27 Nov 2009 23:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 553093@bugs.debian.org (full text, mbox):

From: Johann Felix Soden <johfel@gmx.de>
To: 553093@bugs.debian.org
Subject: Patch to solve the FSSTND
Date: Sat, 28 Nov 2009 00:02:44 +0100
[Message part 1 (text/plain, inline)]
The attached patch should solve the problem.
[nmu_remove_needless_dirs.diff (text/x-patch, attachment)]

Added tag(s) patch. Request was from Johann Felix Soden <johfel@gmx.de> to control@bugs.debian.org. (Fri, 27 Nov 2009 23:06:05 GMT) Full text and rfc822 format available.

Reply sent to Johann Felix Soden <johfel@gmx.de>:
You have taken responsibility. (Sun, 29 Nov 2009 00:03:18 GMT) Full text and rfc822 format available.

Notification sent to Manoj Srivastava <srivasta@debian.org>:
Bug acknowledged by developer. (Sun, 29 Nov 2009 00:03:18 GMT) Full text and rfc822 format available.

Message #22 received at 553093-close@bugs.debian.org (full text, mbox):

From: Johann Felix Soden <johfel@gmx.de>
To: 553093-close@bugs.debian.org
Subject: Bug#553093: fixed in duma 2.5.15-1.1
Date: Sun, 29 Nov 2009 00:02:34 +0000
Source: duma
Source-Version: 2.5.15-1.1

We believe that the bug you reported is fixed in the latest version of
duma, which is due to be installed in the Debian FTP archive:

duma_2.5.15-1.1.diff.gz
  to main/d/duma/duma_2.5.15-1.1.diff.gz
duma_2.5.15-1.1.dsc
  to main/d/duma/duma_2.5.15-1.1.dsc
duma_2.5.15-1.1_i386.deb
  to main/d/duma/duma_2.5.15-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 553093@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Johann Felix Soden <johfel@gmx.de> (supplier of updated duma package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Fri, 27 Nov 2009 23:45:01 +0100
Source: duma
Binary: duma
Architecture: source i386
Version: 2.5.15-1.1
Distribution: unstable
Urgency: low
Maintainer: Julien Danjou <acid@debian.org>
Changed-By: Johann Felix Soden <johfel@gmx.de>
Description: 
 duma       - library to detect buffer overruns and under-runs in C and C++ pro
Closes: 553093
Changes: 
 duma (2.5.15-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Remove needless usr/doc/electric-fence and usr/man/man3 from debian/dirs
     (Closes: #553093)
Checksums-Sha1: 
 f7719e2d5b394f3b66a8605f8106988a82d6dd35 1075 duma_2.5.15-1.1.dsc
 4e5bcf3fe3cfa9bbf49424a0180515bce15767b2 7729 duma_2.5.15-1.1.diff.gz
 82d811a308436f789a22a97aeef6f98e729a1a61 69426 duma_2.5.15-1.1_i386.deb
Checksums-Sha256: 
 66232faf71a23f3071be85cdca726825978667c7fcad3c96abdcbdeddb76c793 1075 duma_2.5.15-1.1.dsc
 09a4ad85d7df51c9ae4e23b00bb80e4a31471d75f081610ae9d617b95e9db5f6 7729 duma_2.5.15-1.1.diff.gz
 0d1130eac480997e3a5f82578ed0be58785891563132d773d5139acb39572b54 69426 duma_2.5.15-1.1_i386.deb
Files: 
 f39269d8b8afad6b0b0f8a67c7d370ec 1075 devel extra duma_2.5.15-1.1.dsc
 30264e60e40d05e80206d7f87a1e2e3e 7729 devel extra duma_2.5.15-1.1.diff.gz
 116073be3f99ad3913e6783c7097d88f 69426 devel extra duma_2.5.15-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLEaxsmHaJYZ7RAb8RA4HbAKCOqaa4qM0KjF9LSumqISn6+W5WMwCfXGNL
yX23lAgSXSqPVROkv12UNYY=
=eMz1
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 04 Jan 2010 07:55:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:13:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.